%define upstream_name    Net-Domain-TLD
%define upstream_version 1.75

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Work with TLD names
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Storable)
BuildArch:  noarch

%description
  The purpose of this module is to provide user with current list of 
  available top level domain names including new ICANN additions and ccTLDs
  Currently TLD definitions have been acquired from the following sources:

  http://www.icann.org/tlds/
  http://www.dnso.org/constituency/gtld/gtld.html
  http://www.iana.org/cctld/cctld-whois.htm

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.750.0-3.mga8
+ Revision: 1505537
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 1.750.0-2.mga7
+ Revision: 1285118
- Mageia 7 Mass Rebuild

* Sat Jul 22 2017 shlomif <shlomif> 1.750.0-1.mga7
+ Revision: 1128818
- update to 1.75

* Sun Jun 19 2016 pterjan <pterjan> 1.740.0-2.mga6
+ Revision: 1031066
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 1.740.0-1.mga6
+ Revision: 1002240
- update to 1.74

* Thu Feb 18 2016 umeabot <umeabot> 1.730.0-2.mga6
+ Revision: 967115
- Mageia 6 Mass Rebuild

* Mon Jun 29 2015 sander85 <sander85> 1.730.0-1.mga6
+ Revision: 848144
- update to 1.73

* Sun Oct 19 2014 umeabot <umeabot> 1.720.0-4.mga5
+ Revision: 788529
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.720.0-3.mga5
+ Revision: 748053
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.720.0-2.mga5
+ Revision: 685645
- Mageia 5 Mass Rebuild

* Tue Mar 25 2014 jquelin <jquelin> 1.720.0-1.mga5
+ Revision: 608382
- update to 1.72

* Sat Oct 19 2013 umeabot <umeabot> 1.700.0-2.mga4
+ Revision: 534315
- Mageia 4 Mass Rebuild

* Tue Sep 10 2013 sander85 <sander85> 1.700.0-1.mga4
+ Revision: 477206
- update to 1.70

* Sun Jan 13 2013 umeabot <umeabot> 1.690.0-2.mga3
+ Revision: 370579
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 21 2012 jquelin <jquelin> 1.690.0-1.mga3
+ Revision: 308733
- imported package perl-Net-Domain-TLD


* Sun Oct 21 2012 cpan2dist 1.69-1mga
- initial mageia release, generated with cpan2dist
